API reference
Review
GET
bearerheader
AuthorizationBearer <token>threadId*stringfresh?stringValue in
"0""1""true""false"OK
application/json- response
github*pr*|nulllocal*|null[key: string]?anycurl -X GET 'https://engine.keko.run/v1/threads/string/review'Example Response
{ "github": { "state": "string" }, "pr": { "number": 0, "url": "string", "title": "string", "status": "string", "checks": "string", "review": "string", "mergeable": true, "mergeState": "string", "checkedAt": 0 }, "local": { "uncommitted": 0, "unpushed": 0, "ahead": 0, "pushed": true, "remote": "string" }}POST
bearerheader
AuthorizationBearer <token>threadId*stringapplication/json- body
draft?booleanOK
application/json- response
pr*|nullcurl -X POST 'https://engine.keko.run/v1/threads/string/review/pull-request' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "pr": { "number": 0, "url": "string", "title": "string", "status": "string", "checks": "string", "review": "string", "mergeable": true, "mergeState": "string", "checkedAt": 0 }}PUT
bearerheader
AuthorizationBearer <token>threadId*stringOK
application/json- response
pr*|nullcurl -X PUT 'https://engine.keko.run/v1/threads/string/review/pull-request'Example Response
{ "pr": { "number": 0, "url": "string", "title": "string", "status": "string", "checks": "string", "review": "string", "mergeable": true, "mergeState": "string", "checkedAt": 0 }}POST
bearerheader
AuthorizationBearer <token>threadId*stringOK
application/json- response
pr*|nullcurl -X POST 'https://engine.keko.run/v1/threads/string/review/refresh'Example Response
{ "pr": { "number": 0, "url": "string", "title": "string", "status": "string", "checks": "string", "review": "string", "mergeable": true, "mergeState": "string", "checkedAt": 0 }}POST
bearerheader
AuthorizationBearer <token>threadId*stringapplication/json- body
method?stringValue in
"squash""merge""rebase"OK
application/json- response
pr*|nullcurl -X POST 'https://engine.keko.run/v1/threads/string/review/merge' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "pr": { "number": 0, "url": "string", "title": "string", "status": "string", "checks": "string", "review": "string", "mergeable": true, "mergeState": "string", "checkedAt": 0 }}POST
bearerheader
AuthorizationBearer <token>threadId*stringOK
application/json- response
ok*booleancurl -X POST 'https://engine.keko.run/v1/threads/string/review/fix'Example Response
{ "ok": true}POST
bearerheader
AuthorizationBearer <token>threadId*stringapplication/json- body
comments*array<>Items
1 <= itemsrequestId?stringOK
application/json- response
submissionId*stringcurl -X POST 'https://engine.keko.run/v1/threads/string/review/comments' \ -H 'Content-Type: application/json' \ -d '{ "comments": [ { "path": "string", "line": 1, "text": "string" } ]}'Example Response
{ "submissionId": "string"}